Skip to main content
PATCH
/
api
/
v1
/
users
/
{user_id}
Update User
curl --request PATCH \
  --url https://connect.cariqa.com/api/v1/users/{user_id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "locale": "en",
  "custom_properties": {
    "external_id": "<string>"
  }
}
'
{
  "id": "<string>",
  "email": "jsmith@example.com",
  "locale": "en",
  "custom_properties": {
    "external_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

user_id
string
required

Body

email
string<email> | null
locale
enum<string>
  • en - EN
  • de - DE
Available options:
en,
de
custom_properties
object

Response

id
string
required
read-only
email
string<email> | null
locale
enum<string>
  • en - EN
  • de - DE
Available options:
en,
de
custom_properties
object